Package org.opensaml.saml.saml2.metadata

# Interface AuthnAuthorityDescriptor

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `CacheableSAMLObject`, `RoleDescriptor`, `SAMLObject`, `SignableSAMLObject`, `SignableXMLObject`, `TimeBoundSAMLObject`, `XMLObject`

All Known Implementing Classes:
  `AuthnAuthorityDescriptorImpl`

public interface AuthnAuthorityDescriptor extends SAMLObject, RoleDescriptor
SAML 2.0 Metadata AuthnAuthorityDescriptor.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

### Fields inherited from interface org.opensaml.saml.saml2.common.CacheableSAMLObject

`CACHE_DURATION_ATTRIB_NAME, CACHE_DURATION_ATTRIB_QNAME`

### Fields inherited from interface org.opensaml.saml.saml2.metadata.RoleDescriptor

`ERROR_URL_ATTRIB_NAME, ID_ATTRIB_NAME, PROTOCOL_ENUMERATION_ATTRIB_NAME`

### Fields inherited from interface org.opensaml.saml.saml2.common.TimeBoundSAMLObject

`VALID_UNTIL_ATTRIB_NAME, VALID_UNTIL_ATTRIB_QNAME`

## Method Summary

Modifier and Type
Method
Description
`List<AssertionIDRequestService>`
`getAssertionIDRequestServices()`
Gets the list of assertion ID request services for this authority.
`List<AuthnQueryService>`
`getAuthnQueryServices()`
Gets the list of authentication query services for this authority.
`List<NameIDFormat>`
`getNameIDFormats()`
Gets the list of supported name ID formats for this authority.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.saml.saml2.common.CacheableSAMLObject

`getCacheDuration, setCacheDuration`

### Methods inherited from interface org.opensaml.saml.saml2.metadata.RoleDescriptor

`addSupportedProtocol, getContactPersons, getEndpoints, getEndpoints, getErrorURL, getExtensions, getID, getKeyDescriptors, getOrganization, getSupportedProtocols, isSupportedProtocol, removeAllSupportedProtocols, removeSupportedProtocol, removeSupportedProtocols, setErrorURL, setExtensions, setID, setOrganization`

### Methods inherited from interface org.opensaml.saml.common.SignableSAMLObject

`getSignatureReferenceID`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.saml.saml2.common.TimeBoundSAMLObject

`getValidUntil, isValid, setValidUntil`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getAuthnQueryServices

@Nonnull @Live List<AuthnQueryService> getAuthnQueryServices()
Gets the list of authentication query services for this authority.

Returns:
  list of authentication query services

### getAssertionIDRequestServices

@Nonnull @Live List<AssertionIDRequestService> getAssertionIDRequestServices()
Gets the list of assertion ID request services for this authority.

Returns:
  assertion ID request services for this authority

### getNameIDFormats

@Nonnull @Live List<NameIDFormat> getNameIDFormats()
Gets the list of supported name ID formats for this authority.

Returns:
  supported name ID formats for this authority